Skip to content

tools.list

Every tool.

Reference

GET/api/v1/tools/

Auth
API key in X-API-Key
Content
none
Returns
200 · ToolResponse[]

List all tools for the user's organization. Args: status: Optional filter by status (active, archived, draft) category: Optional filter by category (http_api, native, integration) Returns: List of tools

Arguments

ArgumentInTypeRequiredDescription
statusquerystringoptional
categoryquerystringoptional

Example request

curl -X GET "https://api.decibyl.ai/api/v1/tools/" \
  -H "X-API-Key: dcb_your_key"

Response

[
  {
    "id": 1,
    "tool_uuid": "string",
    "name": "string",
    "description": "string",
    "category": "string",
    "icon": "string",
    "icon_color": "string",
    "status": "string",
    "definition": {},
    "created_at": "2026-09-14T09:30:00Z",
    "updated_at": "2026-09-14T09:30:00Z",
    "created_by": {
      "id": 1,
      "provider_id": "string"
    }
  }
]

Errors

StatusWhen
404Not found
422Validation Error